package com.dayou.service;
import com.dayou.entity.BusinessReply;
import com.baomidou.mybatisplus.extension.service.IService;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.dayou.vo.BusinessReplyVO;
import org.apache.poi.xssf.usermodel.XSSFWorkbook;
import org.springframework.web.multipart.MultipartFile;
/**
 * <p>
 * 业务回复表 服务类
 * </p>
 *
 * @author wucl
 * @since 2023-03-23
 */
public interface IBusinessReplyService extends IService<BusinessReply> {

        Page<BusinessReplyVO> selectPage(Page page, BusinessReply businessReply);

        BusinessReply detail(Long id);

        Boolean reply(BusinessReply businessReply);

        Boolean update(BusinessReply businessReply);

        Boolean delete(Long id);

    Integer getNotReadCount(BusinessReply businessReply);
}
